| Home | Libraries | People | FAQ | More

## Struct template downcast_node_to_value

boost::intrusive::hashtable::downcast_node_to_value

## Synopsis

    // In header: <boost/intrusive/hashtable.hpp>

    template<bool IsConst>
    struct downcast_node_to_value {
      // types
      typedef unspecified         base_t;
      typedef base_t::result_type result_type;
      typedef unspecified         first_argument_type;
      typedef unspecified         intermediate_argument_type;

      // construct/copy/destruct
      downcast_node_to_value(const hashtable *);

      // public member functions
      result_type operator()(first_argument_type) const;
    };

## Description

### `downcast_node_to_value` public construct/copy/destruct

1.     downcast_node_to_value(const hashtable * cont);

### `downcast_node_to_value` public member functions

1.     result_type operator()(first_argument_type arg) const;